#!/bin/sh

#updateclientconfig.sh
#Used as a wrapper for ant code updateclientconfig.xml. Code located SAS delivered version of at and uses it to locate and update config.ini files that reference unsecure jars 


#check for parameters
if [ -n "$1" ] 
	then
		sashome_set="true"
	else
		sashome_set="false"
fi

if [ -n "$2" ]
	then
		sasconfig_set="true"
	else
		sasconfig_set="false"
fi

truevar="true"

#if both parameters for sashome and sasconfig are set
if [ $sashome_set = $truevar ]
	then
		echo "Searching for SAS delivered JRE"
		privatejre_tmp=( $(grep -i "PRIVATEJREHOME" $1/sassw.config))
		echo "sassw.config = ${privatejre_tmp}"
		privatejre=`echo ${privatejre_tmp} | cut -c16-`
		echo "privatejre = ${privatejre}"
	
		echo "Searching for SASDeploymentManager in this SASHome location '$1'"
		deploywizpath=$1/SASDeploymentManager/9.4/products
		deploywizpath_array=( $(find ${deploywizpath} -name 'deploywiz__*'))
		buildfilepath=updateclientconfig.xml
		echo "Using ${deploywizpath_array[0]}/deploywiz/ant-launcher.jar to launch ant scripts"
		#execute ant script
		${privatejre} -jar ${deploywizpath_array[0]}/deploywiz/ant-launcher.jar -buildfile ${buildfilepath} -DSASHOME=$1		
	else
		#no params set
		echo "No parameter(SASHOME) was specified. Please try again"
fi
